Skip to main content
`Ctrl`+`K`

# SVDSetOperators

Set the matrices associated with the singular value problem.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDSetOperators(SVD svd,Mat A,Mat B)

Collective

## Input Parameters

- svd - the singular value solver context

- A - the matrix associated with the singular value problem

- B - the second matrix in the case of GSVD

## See Also

SVD: Singular Value Decomposition, `SVDSolve()`, `SVDGetOperators()`

## Level

beginner

## Location

src/svd/interface/svdsetup.c

## Examples

src/svd/tutorials/ex45.c
src/svd/tutorials/ex14.c
src/svd/tutorials/ex53.c
src/svd/tutorials/ex15.c
src/svd/tutorials/ex51.c
src/svd/tutorials/ex8.c
src/svd/tutorials/ex15f.F90
src/svd/tutorials/ex48.c
src/svd/tutorials/ex52.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages